# Uses of Class
ij.gui.ImageCanvas

Packages that use ImageCanvas
Package
Description
ij
ij.gui
ij.plugin.frame

## Uses of ImageCanvas in ij

Methods in ij that return ImageCanvas
Modifier and Type
Method
Description
`ImageCanvas`
ImagePlus.`getCanvas()`
Returns the ImageCanvas being used to display this image, or null.

## Uses of ImageCanvas in ij.gui

Subclasses of ImageCanvas in ij.gui
Modifier and Type
Class
Description
`class`
`PlotCanvas`
This subclass of ImageCanvas has special provisions for plots: - Zooming: sets the plot range - Scrolling: moves data area This behavior is suppressed if the plot is frozen
Fields in ij.gui declared as ImageCanvas
Modifier and Type
Field
Description
`protected ImageCanvas`
ImageWindow.`ic`
`protected ImageCanvas`
Roi.`ic`
Methods in ij.gui that return ImageCanvas
Modifier and Type
Method
Description
`ImageCanvas`
ImageWindow.`getCanvas()`
Constructors in ij.gui with parameters of type ImageCanvas
Modifier
Constructor
Description
``
`ImageLayout(ImageCanvas ic)`
Creates a new ImageLayout with center alignment.
``
`ImageWindow(ImagePlus imp, ImageCanvas ic)`
``
`StackWindow(ImagePlus imp, ImageCanvas ic)`

## Uses of ImageCanvas in ij.plugin.frame

Methods in ij.plugin.frame with parameters of type ImageCanvas
Modifier and Type
Method
Description
`protected Point`
SyncWindows.`getMatchingCoords(ImageCanvas ic, ImageCanvas icc, int x, int y)`
Get Screen Coordinates for ImageCanvas ic matching the OffScreen Coordinates of the current ImageCanvas.